%define	name	rss_glx
%define	oname	rss-glx
%define	fname	%{oname}_%{version}
%define	version	0.8.2
%define	release	%mkrel 2


Summary:	Really Slick Screensavers Port to GLX
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%fname.tar.xz
Patch: 		rss-glx_0.8.1-desktopentry.patch
Patch2:		rss-glx_0.8.2-missing-header.patch
Patch3: 	rss-glx_0.8.2-format-strings.patch
License:	GPLv2
Group:		Graphical desktop/KDE4
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:		http://rss-glx.sourceforge.net/
BuildRequires:	libxorg-x11-devel
BuildRequires:	libfreealut-devel
BuildRequires:	libglew-devel
BuildRequires:	libmesaglut3-devel
BuildRequires:	libmagick-devel
BuildRequires:	chrpath
BuildRequires:	gnome-screensaver
Requires:	xscreensaver

%description
This is a collection of OpenGL screensavers for xscreensaver. They
require a hardware-accellerated GLX implementation.

You need to add them manually to your ~/.xscreensaver file as described
in README.xscreensaver

%package -n	%{name}-gnome
Summary:	Really Slick Screensavers Port to GLX 
Group:		Graphical desktop/GNOME
Requires:	gnome-screensaver %{name}
Requires:	%{name}

%description -n	%{name}-gnome
This is a collection of OpenGL screensavers for GNOME-Screensaver. They
require a hardware-accellerated GLX implementation.


%prep
%setup -q -n %fname
%patch -p1 -b .desktopentry
%patch2 -p1
%patch3 -p1
autoreconf -fi

%build
%configure2_5x \
 --with-configdir=%_datadir/xscreensaver/config \
 --bindir=%_libexecdir/xscreensaver \
 --with-kdessconfigdir=%_datadir/applnk/System/ScreenSavers/
%make CXXFLAGS="$RPM_OPT_FLAGS" CPPFLAGS="-I%_includedir/ImageMagick"

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

rm -rf %buildroot%_libdir/lib*a

for screensaver in %buildroot%_libdir/xscreensaver/*;
 do fgrep -q ELF $screensaver && chrpath -d $screensaver
done

# And for us who use Gnome
# Convert xscreensaver to Gnome
pushd %buildroot%_datadir/xscreensaver/config
%_datadir/gnome-screensaver/migrate-xscreensaver-config.sh %buildroot%_datadir/xscreensaver/config/*.xml
popd

install -d %buildroot%_datadir/applications/screensavers
mv %buildroot%_datadir/xscreensaver/config/*.desktop %buildroot%_datadir/applications/screensavers

%clean
rm -rf $RPM_BUILD_ROOT

%post
echo "Hi there! Please logout and back in again to register the screensavers properly."


%files
%defattr(-,root,root)
%doc README*
%_libexecdir/xscreensaver/*
%_mandir/man1/*
%_datadir/xscreensaver/config/*
%_datadir/applnk/System/ScreenSavers/*


%files -n %{name}-gnome
%doc README*
%_datadir/applications/screensavers

%changelog
* Mon Nov 22 2010 Texstar <texstar at gmail.com> 0.8.2-2pclos2010
- convert source to tar.xz per packaging instructions
- strip out plf stuff not worried about a the matrix screensaver

* Mon Nov 22 2010 MBantz <martin dot bantz at gmail dot com> 0.8.2-1pclos2010
- Built for PCLinuxOS from waschk at mandriva dot org
- Create Gnome package and split spec up in Gnome and KDE package
